package com.digitline.txtofpdf;

import java.io.IOException;

import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.parser.PdfReaderContentParser;
import com.itextpdf.text.pdf.parser.SimpleTextExtractionStrategy;
import com.itextpdf.text.pdf.parser.TextExtractionStrategy;

//import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

@ShortName("TXTofPDF")
@Version(1)
//@DependsOn(values = {"itextpdf-5.3.3.jar"})
public class TXTofPDF {
	//Extract text of pdf in page
	public String readTextForPDF(String pdfFile, Integer page) throws IOException {	
		PdfReader reader = new PdfReader(pdfFile);
        PdfReaderContentParser parser = new PdfReaderContentParser(reader);        
        TextExtractionStrategy strategy;        
        strategy = parser.processContent(page, new SimpleTextExtractionStrategy());                
        reader.close();		
		return strategy.getResultantText();
	}	
}
